"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const deck_constant_1 = require("./deck.constant");
class Deck {
    constructor(deck) {
        this.deck = [];
        this.drawCards = [];
        if (deck) {
            this.deck = deck;
        }
        else {
            this.initDeck().getDeck();
        }
    }
    getDeck() {
        return this.deck;
    }
    initDeck() {
        const deck = [];
        for (let i = 0; i < deck_constant_1.Suits.length; i++) {
            for (let x = 0; x < deck_constant_1.Values.length; x++) {
                const card = { value: deck_constant_1.Values[x], suit: deck_constant_1.Suits[i] };
                deck.push(card);
            }
        }
        this.deck = deck;
        return this;
    }
    shuffleDeck(nbShuffleTime = 1000) {
        const deck = this.deck.slice();
        for (let i = 0; i < nbShuffleTime; i++) {
            const pos1 = Math.floor((Math.random() * deck.length));
            const pos2 = Math.floor((Math.random() * deck.length));
            const tmp = deck[pos1];
            deck[pos1] = deck[pos2];
            deck[pos2] = tmp;
        }
        this.deck = deck;
        return this;
    }
    drawCard() {
        const card = this.deck.shift();
        if (card) {
            this.drawCards.push(card);
        }
        return card;
    }
}
exports.default = Deck;
